QCanvasLine(3qt)

NAME
QCanvasLine - Line on a QCanvas

SYNOPSIS
#include <qcanvas.h>

Inherits QCanvasPolygonalItem.

  Public Members
QCanvasLine ( QCanvas * canvas )
~QCanvasLine ()
void setPoints ( int xa, int ya, int xb, int yb )
QPoint startPoint () const
QPoint endPoint () const
virtual int rtti () const

DESCRIPTION
The QCanvasLine class provides a line on a QCanvas.

The line inherits functionality from QCanvasPolygonalItem, for example the setPen() function. The start and end points of the line are set with setPoints().

Like any other canvas item lines can be moved with QCanvasItem::move() and QCanvasItem::moveBy(), or by setting coordinates with QCanvasItem::setX(), QCanvasItem::setY() and QCanvasItem::setZ().

See also Graphics Classes and Image Processing Classes.

MEMBER FUNCTION DOCUMENTATION

QCanvasLine::QCanvasLine ( QCanvas * canvas )
Constructs a line from (0,0) to (0,0) on canvas.

See also setPoints().

QCanvasLine::~QCanvasLine ()
Destroys the line.

QPoint QCanvasLine::endPoint () const
Returns the end point of the line.

See also setPoints() and startPoint().

int QCanvasLine::rtti () const [virtual]
Returns 7 (QCanvasItem::Rtti_Line).

See also QCanvasItem::rtti().

Reimplemented from QCanvasPolygonalItem.

void QCanvasLine::setPoints ( int xa, int ya, int xb, int yb )
Sets the line's start point to (xa, ya) and its end point to (xb, yb).

Example: canvas/canvas.cpp.

QPoint QCanvasLine::startPoint () const
Returns the start point of the line.

See also setPoints() and endPoint().

SEE ALSO
http://doc.trolltech.com/qcanvasline.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qcanvasline.3) and the Qt version (3.3.5).